Page MenuHomePhabricator

Calculate impact of missing mobile app pageviews to high-level metrics
Closed, ResolvedPublic

Description

Calculate an estimate of impact to monthly metrics (% pageviews, % content interactions), based on the data we lost? (end of May, June... July, if some pageviews were still missing?)

Event Timeline

kzimmerman triaged this task as High priority.Jul 7 2020, 8:55 PM
kzimmerman created this task.
kzimmerman removed a project: Epic.
Nuria added a comment.Jul 7 2020, 10:11 PM

based on the data we lost? (

Data is not lost, app interactions have changed significantly though so w/o understanding the new app behaviour it will be hard to understand interactions, changes done to pageview definition to "fix" issue are tagging pageviews that are not such so I think probably is of interest to talk to @JoeWalsh

I will compile some data to explain what is ( i think) being flagged as a pageview incorrectly now.

SNowick_WMF added a comment.EditedJul 10 2020, 10:32 PM

(Caveat that there are known issues with how potentially accurate the pageview metric, is given the way offline pageviews are included in counts. Fix for that and adjustments will be made going froward and this calc can be updated accordingly.)

Historically app pageviews have been a consistent average 2.46% of Desktop views, using that to estimate, the expected pageviews for the months where we are off are:

2020-052020-06
314386971273623550
~10M /day~9.1M/day

Percent 'loss' (from expected vs counts currently in the system)

2020-052020-06
16.45%83.83%

Need to clarify what data for content interactions is available to make a similar assessment, let's discuss. Assuming it is relevant to: https://phabricator.wikimedia.org/T234701

fdans edited projects, added Analytics-Radar; removed Analytics.Jul 13 2020, 4:48 PM
SNowick_WMF closed this task as Resolved.Jul 28 2020, 5:05 PM